<?php

namespace App\Enums;

enum CertificateTypes: int
{
    case JOB = 1;
    case SERIAL = 2;

    public static function values(): array
    {
        return array_column(self::cases(), 'name', 'value');
    }

    public function getText(): string
    {
        return match($this){
            self::JOB => 'İş Numarası',
            self::SERIAL => 'Seri Numarası',
        };
    }

    public function getFileType(): string
    {
        return match($this){
            self::JOB => 'PDF',
            self::SERIAL => 'Excel',
        };
    }
}